## r-cran-shapes 1.2.6

=== DESCRIPTION ===
Package: shapes
Title: Statistical Shape Analysis
Date: 2021-03-30
Version: 1.2.6
Author: Ian L. Dryden
Description: Routines for the statistical analysis of landmark 
  shapes, including Procrustes analysis, graphical displays, principal
  components analysis, permutation and bootstrap tests, thin-plate 
  spline transformation grids and comparing covariance matrices. 
     See Dryden, I.L. and Mardia, K.V. (2016). Statistical shape analysis, 
     with Applications in R (2nd Edition), John Wiley and Sons. 
Maintainer: Ian Dryden   <ian.dryden@nottingham.ac.uk>
Imports: minpack.lm, scatterplot3d, rgl, MASS
Depends: R (>= 2.10)
License: GPL-2
URL: http://www.maths.nottingham.ac.uk/~ild/shapes
NeedsCompilation: no
Packaged: 2021-03-31 11:23:21 UTC; pmzild
Repository: CRAN
Date/Publication: 2021-03-31 12:20:02 UTC

=== debian/changelog ===
r-cran-shapes (1.2.6-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive.

  [ Nilesh Patra ]
  * Add patch to convert demo/shapes.R to unix format
  * Run demo/shapes.R as autopkgtest

 -- Nilesh Patra <nilesh@debian.org>  Thu, 14 Oct 2021 20:26:39 +0530

r-cran-shapes (1.2.6-1) unstable; urgency=medium

  * Initial release (closes: #995726)

 -- Steffen Moeller <moeller@debian.org>  Mon, 04 Oct 2021 15:50:59 +0200

=== debian/control ===
Source: r-cran-shapes
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-minpack.lm,
               r-cran-scatterplot3d,
               r-cran-rgl,
               r-cran-mass
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-shapes
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-shapes.git
Homepage: https://cran.r-project.org/package=shapes
Rules-Requires-Root: no

Package: r-cran-shapes
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Statistical Shape Analysis
 Routines for the statistical analysis of landmark
 shapes, including Procrustes analysis, graphical displays, principal
 components analysis, permutation and bootstrap tests, thin-plate
 spline transformation grids and comparing covariance matrices.
 See Dryden, I.L. and Mardia, K.V. (2016). Statistical shape analysis,
 with Applications in R (2nd Edition), John Wiley and Sons.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/shapes_([-\d.]*)\.tar\.gz

## r-cran-shapes 1.2.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: shapes
 Title: Statistical Shape Analysis
-Date: 2021-03-30
-Version: 1.2.6
+Date: 2023-02-03
+Version: 1.2.7
 Author: Ian L. Dryden
 Description: Routines for the statistical analysis of landmark 
   shapes, including Procrustes analysis, graphical displays, principal
@@ -15,6 +15,6 @@
 License: GPL-2
 URL: http://www.maths.nottingham.ac.uk/~ild/shapes
 NeedsCompilation: no
-Packaged: 2021-03-31 11:23:21 UTC; pmzild
+Packaged: 2023-02-03 15:45:05 UTC; pmzild
 Repository: CRAN
-Date/Publication: 2021-03-31 12:20:02 UTC
+Date/Publication: 2023-02-03 21:50:01 UTC

=== debian/changelog ===
r-cran-shapes (1.2.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Feb 2023 11:33:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-cran-shapes
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-shapes
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-shapes.git
+Homepage: https://cran.r-project.org/package=shapes
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -11,11 +15,7 @@
                r-cran-scatterplot3d,
                r-cran-rgl,
                r-cran-mass
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-shapes
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-shapes.git
-Homepage: https://cran.r-project.org/package=shapes
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-shapes
 Architecture: all

## r-cran-shapes 1.2.8

=== debian/changelog ===
r-cran-shapes (1.2.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 19 Jan 2026 09:38:00 +0900

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: r-cran-shapes
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-shapes
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-shapes.git
-Homepage: https://cran.r-project.org/package=shapes
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-minpack.lm,
                r-cran-scatterplot3d,
                r-cran-rgl,
-               r-cran-mass
-Testsuite: autopkgtest-pkg-r
+               r-cran-mass,
+               r-cran-fitdistrplus,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-shapes
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-shapes.git
+Homepage: https://cran.r-project.org/package=shapes
+Rules-Requires-Root: no
 
 Package: r-cran-shapes
 Architecture: all
